Redmine - Defect #10115

Javascript error - Can't attach more than 1 fileon IE 6 and 7

2012-02-01 02:19 - Hong Choi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 1.3.1

Resolution: Fixed Affected version: 1.3.0
Description

Users can't add new attachment form due to Javascript error on IE 6 and 7.

It seems there's mis-use of the Prototype.js at redmine's application.js

On addFileField() method, "document.createElement()" method must be replaced with "new Element()".

function addFileField() {

/...

//var s = document.createElement ("span");
var s = new Element ("span");

/).

// This should be changed as

Associated revisions

Revision 8780 - 2012-02-05 12:54 - Jean-Philippe Lang

Fixed: Can't attach more than 1 file on IE 6 and 7 (#10115).

Revision 8781 - 2012-02-05 12:56 - Jean-Philippe Lang
Merged r8780 from trunk (#10115).

History

#1 - 2012-02-01 09:10 - Etienne Massip

- Resolution set to Wont fix

Sorry but IE6 or IE7 are pretty old browsers right now, so this issue is unlikely to be fixed some day.

#2 - 2012-02-05 12:55 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.1

- Resolution changed from Wont fix to Fixed

It's a simple change, so it's worth to be committed.

#3 - 2012-02-05 12:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

2025-05-02

1/1



http://www.tcpdf.org

